%global appname com.github.donadigo.appeditor

Name:           appeditor
Summary:        Edit application menu
Version:        1.1.0
Release:        1%{?dist}
License:        LGPLv2+

URL:            https://github.com/donadigo/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  vala

BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)

Requires:       contractor
Requires:       hicolor-icon-theme


%description
AppEditor allows you to edit application entries in the application menu. Some
of it's features include:

- Hide and show applications from the application menu
- Create new application entries
- Change application's display name, icon and more


%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{appname}


%check
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/%{appname}.desktop

appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/metainfo/%{appname}.appdata.xml


%files -f %{appname}.lang
%doc README.md

%{_bindir}/%{appname}

%{_datadir}/applications/%{appname}.desktop
%{_datadir}/contractor/%{appname}.contract
%{_datadir}/glib-2.0/schemas/%{appname}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{appname}.svg
%{_datadir}/metainfo/%{appname}.appdata.xml


%changelog
* Sat Sep 01 2018 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-1
- Initial package for fedora.


